#3797 SELinux is preventing ifconfig access to sessiondb.pag

1.520
closed-fixed
Jamie Cameron
5
2010-11-12
2010-11-12
Adrian Sevcenco
No

Webmin version 1.520
Fedora 14 x86_64

Summary:

SELinux is preventing /sbin/ifconfig access to a leaked
/var/webmin/sessiondb.pag file descriptor.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by the ifconfig command. It looks like this is
either a leaked descriptor or ifconfig output was redirected to a file it is not
allowed to access. Leaks usually can be ignored since SELinux is just closing
the leak and reporting the error. The application does not use the descriptor,
so it will run properly. If this is a redirection, you will not get output in
the /var/webmin/sessiondb.pag. You should generate a bugzilla on selinux-policy,
and it will get routed to the appropriate package. You can safely ignore this
avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context system_u:system_r:ifconfig_t:SystemLow
Target Context system_u:object_r:var_log_t:SystemLow
Target Objects /var/webmin/sessiondb.pag [ file ]
Source ifconfig
Source Path /sbin/ifconfig
Port <Unknown>
Host blahblah
Source RPM Packages net-tools-1.60-105.fc14.1
Target RPM Packages
Policy RPM selinux-policy-3.9.7-7.fc14
Selinux Enabled True
Policy Type targeted
Enforcing Mode Permissive
Plugin Name leaks
Host Name blahblah
Platform Linux blahblah 2.6.35.6-48.fc14.x86_64
#1 SMP Fri Oct 22 15:36:08 UTC 2010 x86_64 x86_64
Alert Count 36
First Seen Tue 02 Nov 2010 02:24:11 PM EET
Last Seen Wed 03 Nov 2010 01:05:00 PM EET
Local ID 763a5ac3-81c7-43bc-8738-e3b94b569542
Line Numbers

Raw Audit Messages

node=blahblah type=AVC msg=audit(1288782300.330:38574): avc: denied { read write } for pid=8584 comm="ifconfig" path="/var/webmin/sessiondb.pag" dev=sda6 ino=335877 scontext=system_u:system_r:ifconfig_t:s0 tcontext=system_u:object_r:var_log_t:s0 tclass=file

node=blahblah type=SYSCALL msg=audit(1288782300.330:38574): arch=c000003e syscall=59 success=yes exit=0 a0=1fb4100 a1=1fb2de0 a2=1fb3370 a3=7ffff0fcc1f0 items=0 ppid=8583 pid=8584 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ifconfig" exe="/sbin/ifconfig" subj=system_u:system_r:ifconfig_t:s0 key=(null)

Discussion

  • Jamie Cameron
    Jamie Cameron
    2010-11-12

    A couple of people have reported this, but I haven't been able to re-produce it or find the cause yet.

    If there some specific action in Webmin that triggers this, like using a certain module (like Network Configuration) or page?

     
  • Jamie Cameron
    Jamie Cameron
    2010-11-12

    • status: open --> closed-fixed
     
  • Jamie Cameron
    Jamie Cameron
    2010-11-12

    Ok, I found the cause, and a fix will go into Webmin 1.530.